## nagios-plugins-rabbitmq 1.2.0

=== Makefile ===
sources: build
	./Build dist

build: 
	perl Build.PL

clean: build
	./Build distclean
	@rm -f nagios-plugins-rabbitmq-*.tar.gz RabbitMQ-API-*.tar.gz _build
	$(RM) META.json META.yml

install:
	mkdir -p $(DESTDIR)/usr/lib/nagios/plugins-rabbitmq
	cp scripts/* $(DESTDIR)/usr/lib/nagios/plugins-rabbitmq/
	rsync -a etc $(DESTDIR)

=== debian/changelog ===
nagios-plugins-rabbitmq (1:1.2.0-2.5ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2065200). Remaining changes:
    - Avoid breaking to get stats from an idle server that has
      no socket descriptors open (LP: #1787110)
  * New Changes:
    - d/p/get-stats-from-idle-server.patch: move the code changes to a patch
      after the package switched to 3.0 format

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 08 May 2024 12:00:31 -0600

nagios-plugins-rabbitmq (1:1.2.0-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (closes: #1043216)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 12:33:40 +0000

nagios-plugins-rabbitmq (1:1.2.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965742

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Thu, 21 Apr 2022 10:46:52 -0300

nagios-plugins-rabbitmq (1:1.2.0-2.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:22:06 +0100

nagios-plugins-rabbitmq (1:1.2.0-2.2ubuntu1) eoan; urgency=medium

  * Avoid breaking to get stats from an idle server that has
    no socket descriptors open (LP: #1787110)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 24 Sep 2019 10:54:04 +0200

nagios-plugins-rabbitmq (1:1.2.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Nagios::Plugin with Monitoring::Plugin (Closes: #806228)
  * Replace Depends on libnagios-plugin-perl with libmonitoring-plugin-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 08 Dec 2016 12:41:43 +0100

nagios-plugins-rabbitmq (1:1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "should depend on libjson-perl":
    add libjson-perl to Depends.
    (Closes: #758723)
  * Also add libwww-perl and liburi-perl to Depends, which are also required.
  * Fix "FTBFS with perl 5.22 (Module::Build)":
    add libmodule-build-perl to Build-Depends.
    (Closes: #789637)

 -- gregor herrmann <gregoa@debian.org>  Sat, 25 Jul 2015 20:50:27 +0200

nagios-plugins-rabbitmq (1:1.2.0-2) unstable; urgency=medium

  * debian/postrm: reload nagios-nrpe-server only if needed (closes:
    #749232).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 16 Jul 2014 15:48:54 +0200

nagios-plugins-rabbitmq (1:1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 08 Jul 2014 11:30:58 +0200

nagios-plugins-rabbitmq (1.1.0-4) unstable; urgency=medium

  * debian/postinst: reload nagios-nrpe-server if needed (closes:
    #749232).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 24 Jun 2014 16:14:10 +0200

nagios-plugins-rabbitmq (1.1.0-3) unstable; urgency=medium

  * Fixed debian/copyright.

 -- Cyril Bouthors <cyril@bouthors.org>  Thu, 17 Apr 2014 11:17:04 +0200

nagios-plugins-rabbitmq (1.1.0-2) unstable; urgency=medium

  * Fixed queue checking

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 16 Apr 2014 15:22:22 +0200

nagios-plugins-rabbitmq (1.1.0-1) unstable; urgency=low

  * Initial release (closes: #744861).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 15 Apr 2014 17:13:13 +0200

=== debian/control ===
Source: nagios-plugins-rabbitmq
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Cyril Bouthors <cyril@boutho.rs>
Uploaders: Cyril Bouthors <cyb@debian.org>, Cyril Bouthors <cyril@bouthors.org>
Build-Depends: debhelper-compat (= 13), rsync, libmodule-build-perl
Standards-Version: 3.9.5

Package: nagios-plugins-rabbitmq
Architecture: all
Depends: ${shlibs:Depends},
  ${misc:Depends},
  libjson-perl,
  libmonitoring-plugin-perl,
  liburi-perl,
  libwww-perl
Suggests: rabbitmq-server
Description: Set of Nagios checks useful for monitoring a RabbitMQ server
 They use the RabbitMQ management interface with is over HTTP and therefore have
 a very light profile on the nagios server.
 .
 See the [documentation](http://www.rabbitmq.com/management.html) on the
 RabbitMQ management interface for more details on what it provides.

## nagios-plugins-rabbitmq 2.0.3

=== Makefile ===
sources: build
	./Build dist

build:
	perl Build.PL

clean: build
	./Build distclean
	@rm -f nagios-plugins-rabbitmq-*.tar.gz RabbitMQ-API-*.tar.gz _build

install:
	mkdir -p $(DESTDIR)/usr/lib/nagios/plugins-rabbitmq
	cp scripts/* $(DESTDIR)/usr/lib/nagios/plugins-rabbitmq/
	rsync -a etc $(DESTDIR)

test:
	./Build test

=== debian/changelog ===
nagios-plugins-rabbitmq (1:2.0.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #847454
  * Maintain package in Nagios Maintainer Group
    Closes: #1112098
  * Add myself to Uploaders
  * Add Homepage
  * Add watch file
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add DEP3 fields
  * Skip build time test
  * Prevent false CRITICAL when metric value is 0
    Closes: #1024077

  [ Bas Couwenberg ]
  * Add build dependencies to fix error on clean.
  * Replace ${shlibs:Depends} with ${perl:Depends}.
  * Enable build time tests & autopkgtest.
  * Update lintian overrides.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Oct 2025 10:52:46 +0200

=== debian/control ===
Source: nagios-plugins-rabbitmq
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Cyril Bouthors <cyb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libjson-perl,
               libmodule-build-perl,
               libmonitoring-plugin-perl,
               libtest-script-perl <!nocheck>,
               liburi-perl,
               libwww-perl,
               perl,
               rsync
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/nagios-team/nagios-plugins-rabbitmq
Vcs-Git: https://salsa.debian.org/nagios-team/nagios-plugins-rabbitmq.git
Homepage: https://github.com/jamesc/nagios-plugins-rabbitmq
Testsuite: autopkgtest-pkg-perl

Package: nagios-plugins-rabbitmq
Architecture: all
Depends: libjson-perl,
         libmonitoring-plugin-perl,
         liburi-perl,
         libwww-perl,
         ${perl:Depends},
         ${misc:Depends}
Suggests: rabbitmq-server
Description: Set of Nagios checks useful for monitoring a RabbitMQ server
 They use the RabbitMQ management interface with is over HTTP and therefore have
 a very light profile on the nagios server.
 .
 See the [documentation](http://www.rabbitmq.com/management.html) on the
 RabbitMQ management interface for more details on what it provides.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/nagios-plugins-rabbitmq/nagios-plugins-rabbitmq/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
